﻿body {
    /*padding-top: 50px;*/
    padding-bottom: 20px;
}



.title-minor
{
    display: block;
    font-size: 0.65em;
    line-height: 0.8;
}

.title-major
{
    display: block;
    font-size: 1.5em;
    line-height: 0.8;
}

.title-info
{
    color: #ffffff;
    font-weight: 700;
    font-size: 1.3rem;
    margin-left: 5px;
}

.error-message
{
    color: #c7110b;
    font-weight: 700;
}

.message
{
    color: #000;
    font-weight: 700;
}

.gp-pagination .total-rows-number
, .gp-pagination .current-page
, .gp-pagination .total-pages
{
    font-weight: 700;
}
.list
{
    width: 100%;
}
.list .list-image img
{
    max-height: 100px;
}

/* by default don't bold the row header, used so screen readers can announce the row and column a cell is in. */
.table tbody th
{
    font-weight: normal;
}
/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}

.login-form label .label-text
{
    min-width: 110px;
    display: inline-block;
}

.btn
{
    display: inline-block;
    font-weight: 400;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border: 1px solid transparent;
    padding: .375rem .75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: .25rem;
    transition: color .15s
}

.btn:focus, .btn:hover
{
    text-decoration: none;
}
.btn:not(:disabled):not(.disabled)
{
    cursor: pointer;
}
.btn-Standard
{
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    width: 100px;
    height: auto;
    color: #fff;
    background-color: #32A9DC;
}

/* LEADERBOARDS */
.event-summary .leaderboard
{
    margin: 10px;
    padding: 10px 20px;
}

.event-summary .leaderboards-row .leaderboard-col
{
    /*border-bottom: 1px solid #d5d0d0;*/
}

.leaderboard .leaderboard-name
{
    display: block;
    text-align: center;
    font-size: 1.3rem;
    font-weight: 700;
}

.leaderboard .leaderboard-info-row
{
    text-align: center
}

.leaderboard .leaderboard-league
{
    display: inline-block;
    text-align: center;
    font-size: 1.3rem;
    font-style: italic;
}

.leaderboard .leaderboard-season
{
    display: inline-block;
    text-align: center;
    font-size: 1.3rem;
    font-style: italic;
}

/* highlight top 3*/
.leaderboard .leaderboard-rank-1 td
, .leaderboard .leaderboard-rank-1 th
, .leaderboard .leaderboard-rank-2 td
, .leaderboard .leaderboard-rank-2 th
, .leaderboard .leaderboard-rank-3 td
, .leaderboard .leaderboard-rank-3 th
{
    font-size: 1.2rem;
    font-weight: 700;
}

/* Add markings to top 3 */
.leaderboard .leaderboard-rank-1 td:first-of-type::before
, .leaderboard .leaderboard-rank-2 td:first-of-type::before
, .leaderboard .leaderboard-rank-3 td:first-of-type::before
{
    content: ' ';
    display: inline-block;
    width: 15px;
    height: 15px;
    border-radius: 50%;
    margin-right: 8px;
}

.leaderboard .rank
{
    width: 50px;
}

.leaderboard .name
{
    white-space: pre-line;
    text-align: center;
}
.user-portal .leaderboard tr:not(.leaderboard-rank-1) .name
{
    border-top: 1px solid #ffffff;
}

.leaderboard  .points
, .leaderboard  .avg-points
{
    text-align: right;
}

.user-portal .leaderboard .points {
    padding-right: 15px;
    font-size: 1.1rem;
}

.user-portal .leaderboard .rank {
    font-size: 1.1rem;
}

.user-portal .leaderboard .leaderboard-rank-1 .rank::before
, .user-portal .leaderboard .leaderboard-rank-2 .rank::before
, .user-portal .leaderboard .leaderboard-rank-3 .rank::before
{
    padding-top: 0.2em;
}

.leaderboard td
, .leaderboard th {
    padding-bottom: 10px !important;
}

.leaderboard tr:not(.leaderboard-rank-1) td
, .leaderboard tr:not(.leaderboard-rank-1) th {
    padding-top: 10px !important;
}

.leaderboard .leaderboard-rank-1 .rank::before
{
    background-color: #F5FC02;
}
.leaderboard .leaderboard-rank-2 .rank::before
{
    background-color: #EFEFEF;
}
.leaderboard .leaderboard-rank-3 .rank::before
{
    background-color: #F6C393;
}


/* align circles next to ranks 1-3 do not cause ranks after it to get misaligned*/
.leaderboard tr td:nth-child(1) {
    text-align: right;
    padding-right: 4px;
}

/*
.leaderboard tr td:nth-child(1)::after {
    content: ' ';
    display: inline-block;
    width: 15px;
    height: 15px;
    border-radius: 50%;
    margin-right: 8px;
}*/

/* Badges / Badge List */
.badges-list .badge 
{
    margin: 0 auto;
    display: block;
}

.badges-list .badge .badge-image
{
    height: 70px;
    background-repeat: no-repeat;
    background-position: 20% 10%;
    background-size: 80px;
    border-radius: 20px;
    width: 70px;
    margin: 0 auto;
}

.badges-list .badge .badge-image a
{
    display: block;
    height: 100%;
    width: 100%;
}

.badges-list-image-viewer.modal .badge-image-modal
{
    width: 100%;
}

.callout-box {
    border: 2px solid #fff;
    border-radius: .5rem;
    background: rgba(255,255,255,.2);
}

